
#########################################################################
#         Document Source Directives
# These directives control what documents are indexed.
#########################################################################

# It is good to have this even if there are no symbolic links
FollowSymLinks yes

# IndexOnly checks that the file to be indexed, ends in the characters listed
IndexOnly .xml
# Similar to above directive
#FileMatch filename is content.xml

# Do not index any CVS folders
FileRules dirname contains /CVS
# Ignore file index.xml
FileRules filename is index.xml

# ReplaceRules makes changes to file pathnames before they're indexed.
# These changed file names or URLs will be returned in search results. 
#ReplaceRules remove ^\.\./content/books/xml/[^/]+/


#########################################################################
#       Document Contents Directives
# These directives control what information is extracted from the source
# documents, and how that information is made available during searching. 
#########################################################################

#TranslateCharacters [*string1 string2*|:ascii7:]
TranslateCharacters :ascii7:

# Assign one of document parsers to a document, based on its extension.
IndexContents XML2  .xml

# Default parser for documents that are not specified in IndexContents.
#DefaultContents XML2

# This directive can be used to index extracted parts of a document's path.
# A common use would be to limit searches to specific areas of your file tree. 
#ExtractPath *metaname* [replace|remove|prepend|append|regex]
ExtractPath book_id regex !^.*/books/xml/([^/]+)/.*$!$1!
ExtractPath lng regex !^.*/books/xml/[^/]+/([^/]+)/.*$!$1!
ExtractPath path regex !^.*/books/xml/[^/]+/[^/]+/(.*/)[^/]+$!$1!

# This can be used with ExtractPath to set a default string to index under
# the given metaname if none of the ExtractPath patterns match. 
#ExtractPathDefault *metaname* default_value

# The contents of any META tag that has been identified as a document 
# property can be returned as part of the search results along with the 
# rank, file name, title, document size, etc.
#PropertyNames *list of meta names*
#PropertyNamesCompareCase *list of meta names*
#PropertyNamesIgnoreCase *list of meta names*
PropertyNames book_id lng path title

# Define what a word consists of to the Swish-e indexing engine.
# Compiled in defaults are in src/config.h. I have added ._ to the defaults.
#WordCharacters *string of characters*
#IgnoreFirstChar *string of characters*
#IgnoreLastChar *string of characters*
#BeginCharacters *string of characters*
#EndCharacter *string of characters*
WordCharacters ._0123456789abcdefghijklmnopqrstuvwxyzªµºÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûüýþÿ
IgnoreFirstChar ._
IgnoreLastChar ._

#BumpPositionCounterCharacters *string*
BumpPositionCounterCharacters |.

#DontBumpPositionOnEndTags *list of names*
#DontBumpPositionOnStartTags *list of names*
#MinWordLimit *integer*
#Buzzwords [*list of buzzwords*|File: path]
#IgnoreWords [*list of stop words*|File: path]
#UseWords [*list of words*|File: path]
#IndexComments [NO|yes]


